<div class="edit-popup">
  <header class="edit-header">
    <h3>Edit Project</h3>
  </header>
  <mat-dialog-content class="dialog-content">
    <h4 style="text-align:center">{{projectName}}</h4>
    <br/>
    <div class="description-text-box">
      <input matInput placeholder="Project Description">
    </div>
    <div class="role-assignedRole-add-content">
        <mat-select #roleSelect placeholder="Roles" [formControl]="roleControl" required>
          <mat-option *ngFor="let role of roleNames" [value]="role">
            {{role}}
          </mat-option>
        </mat-select>
        <!-- <mat-error *ngIf="roleControl.hasError('required')">Please choose a role</mat-error> -->
      <mat-select #assigneeSelect class="left-margin" placeholder="Assignees" [formControl]="assigneeControl" required>
        <mat-option *ngFor="let assignee of assignees" [value]="assignee">
          {{assignee.name}}
        </mat-option>
      </mat-select>
      <!-- <mat-error *ngIf="assigneeControl.hasError('required')">Please choose a Assignee</mat-error> -->
      <button class="mat-raised-button role-add" (click)="addAssignedRoles(roleSelect.value, assigneeSelect.value)">Add</button>
    </div>
    <div class="role-assignedRole-delete-content" *ngFor="let assignedRole of assignedRoles; let idx=index;">
      <span>{{assignedRole.role_name}}</span>
      <span class="left-margin">{{assignedRole.person_name}}</span>
      <button class="mat-raised-button mat-warn role-delete" (click)="deleteAssignedRoles(idx)">Delete</button>
    </div>
  </mat-dialog-content>
  <mat-dialog-actions class="dialog-actions">
    <button class="mat-raised-button"(click)="close()">Close</button>
    <button class="mat-raised-button mat-primary" 
          [disabled]="isSaving" (click)="save()">Save
          <app-spinner button *ngIf="isSaving"></app-spinner>
    </button>
  </mat-dialog-actions>
</div>